%define upstream_name    JSON-Color
%define upstream_version 0.130

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Encode to colored JSON
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Color::ANSI::Util) >= 0.164.0
BuildRequires: perl(ColorThemeBase::Static::FromStructColors) >= 0.6.0
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Graphics::ColorNamesLite::WWW)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Load::Util)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module generates JSON, colorized with ANSI escape sequences.

To change the color, see the '%theme' in the source code. In theory you can
also modify it to colorize using HTML.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Jun 10 2020 tv <tv> 0.130.0-1.mga8
+ Revision: 1591673
- update to 0.130

* Fri Feb 14 2020 umeabot <umeabot> 0.120.0-2.mga8
+ Revision: 1519739
- Mageia 8 Mass Rebuild

* Thu Oct 18 2018 shlomif <shlomif> 0.120.0-1.mga7
+ Revision: 1322023
- cpan2dist

